Get Project
curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id} \
--header 'Galileo-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}"
headers = {"Galileo-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Galileo-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_by": "<string>",
"created_by_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"runs": [
{
"created_by": "<string>",
"num_samples": 123,
"winner": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_updated_by": "<string>",
"creator": {
"id": "<string>",
"email": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": [],
"first_name": "",
"last_name": "",
"auth_method": "email",
"role": "read_only",
"email_is_verified": true
},
"name": "<string>",
"project_id": "<string>",
"dataset_hash": "<string>",
"dataset_version_id": "<string>",
"run_tags": [
{
"key": "<string>",
"value": "<string>",
"tag_type": "<string>",
"project_id": "<string>",
"run_id": "<string>",
"created_by": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"example_content_id": "<string>",
"logged_splits": [
"<string>"
],
"logged_inference_names": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": [],
"name": "<string>",
"bookmark": false,
"description": "<string>",
"labels": [
"sample"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}projects
Get Project
GET
/
v2
/
projects
/
{project_id}
Get Project
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Response
Successful Response
A user's basic information, used for display purposes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
prompt_evaluation, llm_monitor, protect, gen_ai Enum for project labels used in the UI.
Available options:
sample Was this page helpful?
⌘I